Debian Bug report logs - #657499
ITP: pootle -- Web-based translation and translation management

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "W. Martin Borgert" <debacle@debian.org>

Date: Thu, 26 Jan 2012 17:00:02 UTC

Owned by: Stuart Prescott <stuart+debian@nanonanonano.net>

Severity: wishlist

Merged with 677319

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657499; Package wnpp. (Thu, 26 Jan 2012 17:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 26 Jan 2012 17:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: submit@bugs.debian.org
Subject: RFP: pootle -- Web-based translation and translation management tool
Date: Thu, 26 Jan 2012 17:57:22 +0100
Package: wnpp
Severity: wishlist

Package name    : pootle
Version         : 2.1.6
Upstream Author : David Fraser, translate.org.za
URL             : http://translate.sourceforge.net/wiki/pootle/
License         : GPL2+
Programming Lang: Python
Description     : Web-based translation and translation management tool

 Pootle provides a rich set of features for managing a translation
 project.  It integrates components of the Translate Toolkit to provide
 error checkers for translation messages and the ability to download files
 in a number of formats: PO, XLIFF, CSV.  Pootle can also provide compiled
 PO files for download. You can use it to assign work to translators in
 your team, and you can define goals to help focus the efforts of your
 translation.  Pootle can run without a Web server or be proxied through
 your existing Apache server.  The Translate Toolkit is a set of software
 and documentation designed to help make the lives of localizers both more
 productive and less frustrating.

Pootle 2.0.5 is in Debian 6 (squeeze), but has been removed later on
due to compatibility problems with Django 1.3, lack of developers time,
and maybe other problems. See: http://packages.qa.debian.org/pootle
The compatibility problems should be fixed upstream by now. One would
need to re-introduce python-django-djblets into Debian as well.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657499; Package wnpp. (Thu, 26 Jan 2012 21:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart+debian@nanonanonano.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 26 Jan 2012 21:57:08 GMT) Full text and rfc822 format available.

Message #10 received at 657499@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart+debian@nanonanonano.net>
To: "W. Martin Borgert" <debacle@debian.org>
Cc: 657499@bugs.debian.org
Subject: Re: RFP: pootle -- Web-based translation and translation management tool
Date: Thu, 26 Jan 2012 21:39:44 +0000
Dear Martin,

I'm glad to find more DDs interested in Pootle. There is indeed activity aimed 
at getting pootle back into debian:

http://lists.alioth.debian.org/pipermail/debian-l10n-devel/2011-
November/001463.html

I think what the packages need at this stage is testing (in particular, 
upgrade testing). If you're in a position to help with that, then that would 
be wonderful.

cheers
Stuart

-- 
Stuart Prescott    --    www.nanonanonano.net




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657499; Package wnpp. (Fri, 27 Jan 2012 00:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 27 Jan 2012 00:48:06 GMT) Full text and rfc822 format available.

Message #15 received at 657499@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: Stuart Prescott <stuart+debian@nanonanonano.net>
Cc: 657499@bugs.debian.org
Subject: Re: RFP: pootle -- Web-based translation and translation management tool
Date: Fri, 27 Jan 2012 00:44:34 +0000
On 2012-01-26 21:39, Stuart Prescott wrote:
> I think what the packages need at this stage is testing (in particular, 
> upgrade testing). If you're in a position to help with that, then that would 
> be wonderful.

Yes, I can probably test your package with my setup, which is
Pootle + mod_wsgi + PostgreSQL.

Very nice, you even have backports for squeeze!

What about python-django-djblets? Are you using the embedded
code copy? If it is used in pootle only, it might be acceptable,
but a separate package is preferable.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657499; Package wnpp. (Sat, 04 Feb 2012 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart+debian@nanonanonano.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 04 Feb 2012 16:54:03 GMT) Full text and rfc822 format available.

Message #20 received at 657499@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart+debian@nanonanonano.net>
To: Dmitry Nezhevenko <dion@inhex.net>
Cc: 656275@bugs.debian.org, 657499@bugs.debian.org
Subject: python-django-djblets and pootle
Date: Sat, 4 Feb 2012 16:51:13 +0000
[Message part 1 (text/plain, inline)]
Hi Dmitry!

It's great to see that you're looking at packaging these modules. For purely 
historical reasons, they are currently sitting as embedded copies in our 
pootle packages that we will hopefully upload to unstable soon. When your 
packages are ready, we can have the pootle package depend on them instead of 
using the embedded copies.

Our current djblets are in 

	http://anonscm.debian.org/viewvc/debian-
l10n/pootle/trunk/external_apps/djblets/

If I can be of assistance with this packaging, please feel free to contact me.

regards
Stuart

-- 
Stuart Prescott    --    www.nanonanonano.net
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: pootle -- Web-based translation and translation management' from 'RFP: pootle -- Web-based translation and translation management tool' Request was from Stuart Prescott <stuart+debian@nanonanonano.net> to control@bugs.debian.org. (Sat, 04 Feb 2012 17:03:11 GMT) Full text and rfc822 format available.

Owner recorded as Stuart Prescott <stuart+debian@nanonanonano.net>. Request was from Stuart Prescott <stuart+debian@nanonanonano.net> to control@bugs.debian.org. (Sat, 04 Feb 2012 17:03:11 GMT) Full text and rfc822 format available.

Merged 657499 677319 Request was from Stuart Prescott <stuart+debian@nanonanonano.net> to control@bugs.debian.org. (Wed, 13 Jun 2012 12:09:48 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657499; Package wnpp. (Wed, 13 Jun 2012 12:43:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart+debian@nanonanonano.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 13 Jun 2012 12:43:45 GMT) Full text and rfc822 format available.

Message #31 received at 657499@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart+debian@nanonanonano.net>
To: "W. Martin Borgert" <debacle@debian.org>, 677319@bugs.debian.org, 657499@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#677319: ITP: pootle -- Web-based translation and translation management tool
Date: Wed, 13 Jun 2012 13:04:58 +0100
[Message part 1 (text/plain, inline)]
forcemerge 657499 677319
thanks

Hi Martin,

As you know, there is already working packaging for pootle 2.1.6 in the 
package subversion:

	http://anonscm.debian.org/viewvc/debian-l10n/pootle/trunk/

it needs updating for the recent upload of the python-djblets package which 
removes the need for pootle to carry some 3rd party libraries.

However, pootle 2.1.6 is not compatible with django 1.4 which will ship with 
wheezy. At this stage, there's no new upstream release for django 1.4 so I 
think we're too late for wheezy. When pootle supports django 1.4, we can 
always offer that to wheezy users through wheezy-backports.

cheers
Stuart

-- 
Stuart Prescott    --    www.nanonanonano.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stuart Prescott <stuart+debian@nanonanonano.net>:
Bug#657499; Package wnpp. (Wed, 13 Jun 2012 16:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stuart Prescott <stuart+debian@nanonanonano.net>. (Wed, 13 Jun 2012 16:24:03 GMT) Full text and rfc822 format available.

Message #36 received at 657499@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: "Stuart Prescott" <stuart+debian@nanonanonano.net>
Cc: 677319@bugs.debian.org, 657499@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#677319: ITP: pootle -- Web-based translation and translation management tool
Date: Wed, 13 Jun 2012 18:20:54 +0200
Quoting "Stuart Prescott" <stuart+debian@nanonanonano.net>:
> As you know, there is already working packaging for pootle 2.1.6 in the
> package subversion:

Yes, after not working on that issue some time I forgot about
my own bug. Where did I carry my head this early morning?

> However, pootle 2.1.6 is not compatible with django 1.4 which will ship with
> wheezy. At this stage, there's no new upstream release for django 1.4 so I
> think we're too late for wheezy. When pootle supports django 1.4, we can
> always offer that to wheezy users through wheezy-backports.

OK, too bad. I thought there is a patch available or in the works,
according to the upstream mailing list:

Danishka Navin 2012-04-03 00:28:
> By the way, I see you have Django 1.4 installed (just released few
> days ago). Latest Pootle version is not compatible with 1.4, but a
> bugfix release is on its way.

Julen Ruiz Aizpuru 2012-04-06 23:28:
> A bugfix release with django 1.4 compatibility is on the way, so they
> will be part of that release.

But maybe it is too late for wheezy anyway.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stuart Prescott <stuart+debian@nanonanonano.net>:
Bug#657499; Package wnpp. (Sat, 16 Mar 2013 12:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stuart Prescott <stuart+debian@nanonanonano.net>. (Sat, 16 Mar 2013 12:48:04 GMT) Full text and rfc822 format available.

Message #41 received at 657499@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: 657499@bugs.debian.org
Subject: Re: ITP: pootle -- Web-based translation and translation management tool
Date: Sat, 16 Mar 2013 13:40:22 +0100
Just FYI: Pootle 2.5.0-rc1 has been released today. It depends
on Translate Toolkit >= 1.10.0, while Debian has 1.9.0.
See #703170. It should be compatible with the current Django in
Debian.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stuart Prescott <stuart+debian@nanonanonano.net>:
Bug#657499; Package wnpp. (Thu, 06 Jun 2013 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gianfranco Costamagna <costamagnagianfranco@yahoo.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stuart Prescott <stuart+debian@nanonanonano.net>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Thu, 06 Jun 2013 10:09:04 GMT) Full text and rfc822 format available.


Message #46 received at 657499@bugs.debian.org (full text, mbox):

From: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
To: "657499@bugs.debian.org" <657499@bugs.debian.org>
Date: Thu, 6 Jun 2013 11:04:28 +0100 (BST)
[Message part 1 (text/plain, inline)]
I would like to contribute in pootle packaging if needed.
Now Translate Toolkit is in unstable.

Gianfranco
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stuart Prescott <stuart+debian@nanonanonano.net>:
Bug#657499; Package wnpp. (Thu, 06 Jun 2013 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stuart Prescott <stuart+debian@nanonanonano.net>. (Thu, 06 Jun 2013 13:03:04 GMT) Full text and rfc822 format available.

Message #51 received at 657499@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart@debian.org>
To: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
Cc: 657499@bugs.debian.org
Subject: Re: #657499: ITP: pootle -- Web-based translation and translation management tool
Date: Thu, 6 Jun 2013 22:59:45 +1000
Hi Gianfranco,

On Thursday 06 June 2013 20:04:28 you wrote:
> I would like to contribute in pootle packaging if needed.
> Now Translate Toolkit is in unstable.

thanks for your offer -- packaging pootle is currently stalled on its django 
support. Pootle 2.5 doesn't work with django 1.5 which is what we have in 
unstable now. A release of pootle that works with django 1.5 might be some 
time off given the release schedule outlined by pootle's developers [1].

[1]  
http://docs.translatehouse.org/projects/pootle/en/latest/developers/release.html

Pootle also needs a newer version of python-django-south than what is in sid, 
although the maintainer of that package is planning to upload it soon.

For now, I think it's worth trying to get whatever packaging we can done, 
relying on an older version of django from snapshot.debian.org until the newer 
version of pootle is released.

I've started the conversion of of the old pootle svn to git and will copy that 
over to alioth when I get a chance -- if you'd like to help out, please join 
#debian-i18n on irc.oftc.net (irc.debian.org) to coordinate.

cheers
Stuart

-- 
Stuart Prescott    http://www.nanonanonano.net/   stuart@nanonanonano.net
Debian Developer   http://www.debian.org/         stuart@debian.org
GPG fingerprint    BE65 FD1E F4EA 08F3 23D4 3C6D 9FE8 B8CD 71C5 D1A8
GPG fingerprint    90E2 D2C1 AD14 6A1B 7EBB 891D BBC1 7EBB 1396 F2F7



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:37:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.